<?php
 	session_start(); 

	if(!isset($_SESSION['tulsilogin']))
	{
		header('Location: index.php');
		return;
	}



$_SESSION['_token']=bin2hex(openssl_random_pseudo_bytes(16));
	
	
	include("connect.php");
include("mylibrary.php");
	
	//$statename=$_POST['statename'];
	$statename=checkvalidstring ($_POST['statename']);
	
	
	$statecode=checkvalidstring ($_POST['statecode']);
	
	
	$countrymid=$_POST['countrymid'];
	$attechment="";
	/* if(empty($_FILES['attechment']['name']) == false  )
	{
		$attechment = date("YmdHis").$_FILES['attechment']['name'];
		$path = "docs/";
		move_uploaded_file( $_FILES['attechment']['tmp_name'], $path ."/". $attechment );
	
	}
	 */
	
	
		
	$eve = "select * from res_state_master where statecode='$statecode'";
	$re = mysqli_query($conn, $eve);
	if(mysqli_num_rows($re) > 0)
	{
		$_SESSION['msg1'] = "state Already Inserted.";
		header('Location: state.php');
	}
	else
	{	
		$eve1 = "INSERT INTO res_state_master (statename, countrymid,statecode) VALUES('$statename','$countrymid','$statecode')";
		$re1 = mysqli_query($conn, $eve1);
			
	$_SESSION['msg'] = "Record saved successfully";
	header('Location: state.php');
			
	}
?>